Message::Passing::Output::Callback(3pm)

NAME
Message::Passing::Output::Callback - Output to call back into your code

SYNOPSIS
    Message::Passing::Output::Callback->new(
        cb => sub {
            my $message = shift;
        },
    );

METHODS

  cb
The callback to be called when a message is received.

  consume ($msg)
Calls the callback with the message as its first parameter.

SEE ALSO
Message::Passing

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.